
Katello - Bug #6243

filtering puppet modules when adding them to content views

06/16/2014 08:13 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108618 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1108618

Description of problem:

puppet modules are not filtered by organization

a) when adding puppet modules to content view, WebUI lists all puppet modules including modules from other organizations which

cannot be added to content view

b) when other organizations contains more versions of puppet module all versions can be added to content view:

(ACME_Corporation repo)

1. hammer puppet-module list --repository-id 1

-------------------------------------|--------|---------|-----------

ID                                   | NAME   | VERSION | AUTHOR

-------------------------------------|--------|---------|-----------

4a09ade1-a904-482a-9be6-642a2a8a395a | wget   | 1.3.1   | maestrodev

97208df9-0925-4b91-970d-4facfbf47e6b | stdlib | 3.1.0   | puppetlabs

78239c4b-40fe-4129-b134-84aea666fa04 | git    | 0.1.0   | jproyo

-------------------------------------|--------|---------|-----------

(other organization repo)

1. hammer puppet-module list --repository-id 2

-------------------------------------|--------|---------|-----------

ID                                   | NAME   | VERSION | AUTHOR

-------------------------------------|--------|---------|-----------

5619f1a2-d3dd-4e13-89a6-3927d4de8064 | good   | 2.0.0   | adob

d6e95c61-3ff4-4221-84bb-d1e6d229ca81 | wget   | 1.4.2   | maestrodev

073d001b-f879-4420-8aa4-600a1273aba0 | stdlib | 2.4.0   | puppetlabs

-------------------------------------|--------|---------|-----------

1. hammer content-view create --organization ACME_Corporation --name cv1

1. hammer --csv content-view list --organization ACME_Corporation

Content View ID,Name,Label,Composite,Repository IDs

5,cv1,cv1,"",""

1. hammer content-view puppet-module add --content-view-id 5 --uuid d6e95c61-3ff4-4221-84bb-d1e6d229ca81

Puppet module added to content view

c) when adding puppet module which is only in other organization then exception is raised:

1. hammer content-view puppet-module add --content-view-id 5 --uuid 5619f1a2-d3dd-4e13-89a6-3927d4de8064

Could not add the puppet module:

undefined method `version' for nil:NilClass
and then puppet-module list command raises exception too:

1. hammer content-view puppet-module list --content-view-id 5

undefined method `version' for nil:NilClass

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140605.0

Associated revisions

Revision 07c132f6 - 06/18/2014 06:56 PM - Justin Sherrill

fixes #6243 - making available module list org aware

the KTEnvironment#puppet_repositories function did not take the actual

environment into account when returning repositories, so it would list all

puppet repos across katello

Revision aeb83a5b - 06/18/2014 07:34 PM - Justin Sherrill

Merge pull request #4277 from jlsherrill/puppet

fixes #6243 - making available module list org aware

History

#1 - 06/17/2014 12:35 PM - Eric Helms

- Target version set to 48

- Difficulty set to easy

- Triaged set to Yes

#2 - 06/18/2014 07:53 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:07c132f66552c3712f23c16dd3409b0848bb74d1.

#3 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
